Bug 1986724 - (release-4.7) Insights status card shows nothing when 0 issues found
Summary: (release-4.7) Insights status card shows nothing when 0 issues found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.7.z
Assignee: Georgii Karataev
QA Contact: ireyes
URL:
Whiteboard:
Depends On: 1949338
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-28 08:18 UTC by Georgii Karataev
Modified: 2021-09-01 18:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Insights widget expected at least one issue hitting the cluster to display the pie chart. Consequence: Zero issues were resulting in empty widget content without any further information for a user. Fix: Show the pie chart and additional links for a case when no issues hit a cluster. Result: when a cluster is healthy, the widget shows a chart with Total issues = 0 and the further link to OCM.
Clone Of:
Environment:
Last Closed: 2021-09-01 18:23:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
No content for the Insights widget (30.82 KB, image/png)
2021-07-28 08:18 UTC, Georgii Karataev
no flags Details
Fixed Insights status card (22.44 KB, image/png)
2021-08-23 09:05 UTC, Dmitry Misharov
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9655 0 None open [release-4.7] Bug 1986724: Show the content of Insights widget when there are 0 recommendations for cluster 2021-07-28 08:24:10 UTC
Red Hat Bugzilla 1949338 1 None None None 2021-07-28 08:18:34 UTC
Red Hat Product Errata RHSA-2021:3262 0 None None None 2021-09-01 18:24:21 UTC

Description Georgii Karataev 2021-07-28 08:18:35 UTC
Created attachment 1806587 [details]
No content for the Insights widget

Insights status when 0 issues found

Description of problem:
when 0 issues found in Insights, click 'Insights' status card just show a title 'Insights status'

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-07-26-204501

How reproducible:
Always

Steps to Reproduce:
1. check Insights status card content when 0 issues found

Actual results:
1. after clicking the Insights status card, we can only see title `Insights status` 

Expected results:
1. maybe we can add some text or more details

Comment 3 Dmitry Misharov 2021-08-23 09:05:30 UTC
Created attachment 1816761 [details]
Fixed Insights status card

Verified on 4.7.0-0.nightly-2021-08-21-153346.
Insights status card is not empty when a cluster has 0 issues.

Comment 6 errata-xmlrpc 2021-09-01 18:23:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.7.28 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3262


Note You need to log in before you can comment on or make changes to this bug.